.carousel {
    position: relative;
    width: 100%;
    height: 100vh;
    overflow: hidden;
}

.carousel-hero {
    position: absolute;
    z-index: 5;
    top: 27%;
    left: 50%;
    transform: translate(-50%, -50%);
    
    text-align: center;
    color: white;
    width: 100%;
    padding: 20px;
}

.carousel-hero h1 {
    font-size: 2.5rem;
    font-weight: 700;
    line-height: 1.2;
    text-align: center; 
}

.carousel-hero p {
    font-size: 1.2rem;
    opacity: 0.85;
}

.carousel-overlay {
    position: absolute;
    inset: 0;
    background: rgba(0,0,0,0.6); /* ajustá 0.3 - 0.6 */
    z-index: 2;
}

.slides {
    display: flex;
    height: 100%;
    transition: transform 0.3s ease-in-out;
}

.slide {
    min-width: 100%;
    height: 100%;
    position: relative;
}

.slide img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

/* Botones */
.btn {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    background: transparent;
    border: none;
    color: white;
    font-size: 2rem;
    padding: 2rem 1rem;
    cursor: pointer;
    z-index: 30;
}

.prev { left: 0; }
.next { right: 0; }

/* Indicadores */
.carousel-indicators {
    position: absolute;
    bottom: 20px;
    width: 100%;
    display: flex;
    justify-content: center;
    gap: 10px;
}

@media (max-width: 768px) {
    .carousel-hero h1 {
        font-size: 1.5rem;
        font-weight: 700;
        line-height: 1.2;
        text-align: center; 
    }

    .carousel-hero p {
        font-size: 1rem;
        opacity: 0.85;
    }
}